Issue 108324 - osl_createSemaphore does not work on Mac OS X
Summary: osl_createSemaphore does not work on Mac OS X
Status: CLOSED FIXED
Alias: None
Product: porting
Classification: Code
Component: code (show other issues)
Version: DEV300m69
Hardware: Mac Mac OS X, all
: P3 Trivial (vote)
Target Milestone: OOo 3.3
Assignee: Stephan Bergmann
QA Contact: issues@porting
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-14 14:03 UTC by Stephan Bergmann
Modified: 2010-04-22 10:52 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Stephan Bergmann 2010-01-14 14:03:44 UTC
sal/osl/unx/semaphor.c implements osl_createSemaphore via sem_init, which on Mac
OS X is not supported and always returns ENOSYS.

However, osl/semaphor.h and osl/semaphor.hxx appear to be unused in the OOo code
base (only used in salhelper::Queue and salhelper::BoundedQueue in
salhelper/queue.hxx, which in turn are unused), so the easiest fix would be to
declare as obsolete all of osl/semaphor.h and osl/semaphor.hxx, as well as
salhelper::Queue and salhelper::BoundedQueue.
Comment 1 Stephan Bergmann 2010-01-15 09:07:18 UTC
fixed as <http://hg.services.openoffice.org/cws/sb118/rev/874cde881884>
Comment 2 Stephan Bergmann 2010-01-15 09:07:56 UTC
.
Comment 3 Stephan Bergmann 2010-03-11 16:56:24 UTC
.
Comment 4 Stephan Bergmann 2010-04-22 10:52:04 UTC
.